Rails.configuration.after_initialize do # once Rails has loaded everything
  RxModule::Environment.run_site do # don't run in rake tasks or rails console
      scanners = Scanner.where(scan_trigger: 'continual')

      scanners.each do |scanner|
        next if scanner.resolved_parameters.blank? || !scanner.resolved_parameters[:auto_start_with_service]

        scanner.start
      end
  end
end