class AddScanTriggerToScanners < ActiveRecord::Migration[6.1]
  class Scanner < ApplicationRecord; end

  def up
    add_column :scanners, :scan_trigger, :integer, default: 0
    Scanner.update_all(scan_trigger: 0) # all existing scanners are trigger based scanners
  end

  def down
    remove_column :scanners, :scan_trigger
  end
end
